<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPPaintBufferPixmap</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_paint_buffer_pixmap.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_paint_buffer_pixmap-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPPaintBufferPixmap</div></div>
</div><!--header-->
<div class="contents">

<p>A paint buffer based on QPixmap, using software raster rendering.  
 <a href="class_q_c_p_paint_buffer_pixmap.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPPaintBufferPixmap</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_paint_buffer_pixmap__inherit__graph.png" border="0" usemap="#a_q_c_p_paint_buffer_pixmap_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_paint_buffer_pixmap_inherit__map" id="a_q_c_p_paint_buffer_pixmap_inherit__map">
<area shape="rect" title="A paint buffer based on QPixmap, using software raster rendering." alt="" coords="8,79,165,104"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html" title="The abstract base class for paint buffers, which define the rendering backend." alt="" coords="5,5,168,31"/>
<area shape="poly" title=" " alt="" coords="89,44,89,79,84,79,84,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPPaintBufferPixmap:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_paint_buffer_pixmap__coll__graph.png" border="0" usemap="#a_q_c_p_paint_buffer_pixmap_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_paint_buffer_pixmap_coll__map" id="a_q_c_p_paint_buffer_pixmap_coll__map">
<area shape="rect" title="A paint buffer based on QPixmap, using software raster rendering." alt="" coords="8,79,165,104"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html" title="The abstract base class for paint buffers, which define the rendering backend." alt="" coords="5,5,168,31"/>
<area shape="poly" title=" " alt="" coords="89,44,89,79,84,79,84,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aef0224e03b9285509391fcd61a8e6844"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#aef0224e03b9285509391fcd61a8e6844">QCPPaintBufferPixmap</a> (const QSize &amp;<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a>, double <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aac1b981f8c1744036610ff1a6b9461f9">devicePixelRatio</a>)</td></tr>
<tr class="separator:aef0224e03b9285509391fcd61a8e6844"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4237edf96e3710e994768124c8722e76"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a4237edf96e3710e994768124c8722e76">~QCPPaintBufferPixmap</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a4237edf96e3710e994768124c8722e76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a357964ef7d28cfa530338be4e5c93234"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a357964ef7d28cfa530338be4e5c93234">startPainting</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a357964ef7d28cfa530338be4e5c93234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7bfc685e56a0a9329e57cd9a265eb74"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#af7bfc685e56a0a9329e57cd9a265eb74">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:af7bfc685e56a0a9329e57cd9a265eb74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14badbd010a3cde6b55817ccb7b65217"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a14badbd010a3cde6b55817ccb7b65217">clear</a> (const QColor &amp;color) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a14badbd010a3cde6b55817ccb7b65217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_abstract_paint_buffer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_abstract_paint_buffer')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_abstract_paint_buffer.html">QCPAbstractPaintBuffer</a></td></tr>
<tr class="memitem:a3ce532c12f10b81697108835755641e2 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ce532c12f10b81697108835755641e2">QCPAbstractPaintBuffer</a> (const QSize &amp;<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a>, double <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aac1b981f8c1744036610ff1a6b9461f9">devicePixelRatio</a>)</td></tr>
<tr class="separator:a3ce532c12f10b81697108835755641e2 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50fbb1265814d019a1707f4cb11e20de inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a50fbb1265814d019a1707f4cb11e20de">~QCPAbstractPaintBuffer</a> ()</td></tr>
<tr class="separator:a50fbb1265814d019a1707f4cb11e20de inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ea8284e547985c5d263f26a6adfa11f inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">QSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a> () const</td></tr>
<tr class="separator:a3ea8284e547985c5d263f26a6adfa11f inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76bf771cda945a6c602cf9b7d365d92b inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b">invalidated</a> () const</td></tr>
<tr class="separator:a76bf771cda945a6c602cf9b7d365d92b inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac1b981f8c1744036610ff1a6b9461f9 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#aac1b981f8c1744036610ff1a6b9461f9">devicePixelRatio</a> () const</td></tr>
<tr class="separator:aac1b981f8c1744036610ff1a6b9461f9 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b68c3cd36533f1a4a23b5ce8cd66f01 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a> (const QSize &amp;<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3ea8284e547985c5d263f26a6adfa11f">size</a>)</td></tr>
<tr class="separator:a8b68c3cd36533f1a4a23b5ce8cd66f01 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4c7dc70dfc66be2879ce297b2b3d67f inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#ae4c7dc70dfc66be2879ce297b2b3d67f">setInvalidated</a> (bool <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b">invalidated</a>=true)</td></tr>
<tr class="separator:ae4c7dc70dfc66be2879ce297b2b3d67f inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a555eaad5d5c806420ff35602a1bb68fa inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a> (double ratio)</td></tr>
<tr class="separator:a555eaad5d5c806420ff35602a1bb68fa inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e9f29b19c033cf02fb96f1a148463f3 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">startPainting</a> ()=0</td></tr>
<tr class="separator:a9e9f29b19c033cf02fb96f1a148463f3 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41b0dc6e7744f19fae09f8532c207dc1 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a41b0dc6e7744f19fae09f8532c207dc1">donePainting</a> ()</td></tr>
<tr class="separator:a41b0dc6e7744f19fae09f8532c207dc1 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb998c7525e3ae37d9d2d46c7aaf461a inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#afb998c7525e3ae37d9d2d46c7aaf461a">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const =0</td></tr>
<tr class="separator:afb998c7525e3ae37d9d2d46c7aaf461a inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e253f4541dfc01992b77e8830bd7722 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e253f4541dfc01992b77e8830bd7722">clear</a> (const QColor &amp;color)=0</td></tr>
<tr class="separator:a9e253f4541dfc01992b77e8830bd7722 inherit pub_methods_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:ad49f3205ba3463b1c44f8db3cfcc90f0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#ad49f3205ba3463b1c44f8db3cfcc90f0">reallocateBuffer</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:ad49f3205ba3463b1c44f8db3cfcc90f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee7506a52bd7e5a07c2af27935eb13e7"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">reallocateBuffer</a> ()=0</td></tr>
<tr class="separator:aee7506a52bd7e5a07c2af27935eb13e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a6d7009f45f03e305f2dc00e52a9225f8"><td class="memItemLeft" align="right" valign="top">QPixmap&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a6d7009f45f03e305f2dc00e52a9225f8">mBuffer</a></td></tr>
<tr class="separator:a6d7009f45f03e305f2dc00e52a9225f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_abstract_paint_buffer"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_abstract_paint_buffer')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_abstract_paint_buffer.html">QCPAbstractPaintBuffer</a></td></tr>
<tr class="memitem:ae246c426222bfa18d5e8797fab73e3ce inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">QSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#ae246c426222bfa18d5e8797fab73e3ce">mSize</a></td></tr>
<tr class="separator:ae246c426222bfa18d5e8797fab73e3ce inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c1fd784478441fcff9ebf3d69af5b2 inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a33c1fd784478441fcff9ebf3d69af5b2">mDevicePixelRatio</a></td></tr>
<tr class="separator:a33c1fd784478441fcff9ebf3d69af5b2 inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc49cc9cf9daaca3a60977f010c08c9 inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_paint_buffer.html#a3bc49cc9cf9daaca3a60977f010c08c9">mInvalidated</a></td></tr>
<tr class="separator:a3bc49cc9cf9daaca3a60977f010c08c9 inherit pro_attribs_class_q_c_p_abstract_paint_buffer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>This paint buffer is the default and fall-back paint buffer which uses software rendering and QPixmap as internal buffer. It is used if <a class="el" href="class_q_custom_plot.html#a7db1adc09016329f3aef7c60da935789">QCustomPlot::setOpenGl</a> is false. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00609">609</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aef0224e03b9285509391fcd61a8e6844" name="aef0224e03b9285509391fcd61a8e6844"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef0224e03b9285509391fcd61a8e6844">&#9670;&#160;</a></span>QCPPaintBufferPixmap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPPaintBufferPixmap::QCPPaintBufferPixmap </td>
          <td>(</td>
          <td class="paramtype">const QSize &amp;&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>devicePixelRatio</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates a pixmap paint buffer instancen with the specified <em>size</em> and <em>devicePixelRatio</em>, if applicable. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00667">667</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_paint_buffer_pixmap_aef0224e03b9285509391fcd61a8e6844_cgraph.png" border="0" usemap="#aclass_q_c_p_paint_buffer_pixmap_aef0224e03b9285509391fcd61a8e6844_cgraph" alt=""/></div>
<map name="aclass_q_c_p_paint_buffer_pixmap_aef0224e03b9285509391fcd61a8e6844_cgraph" id="aclass_q_c_p_paint_buffer_pixmap_aef0224e03b9285509391fcd61a8e6844_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,168,45"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#ad49f3205ba3463b1c44f8db3cfcc90f0" title=" " alt="" coords="216,5,373,45"/>
<area shape="poly" title=" " alt="" coords="169,23,202,23,202,28,169,28"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#ae4c7dc70dfc66be2879ce297b2b3d67f" title=" " alt="" coords="421,5,584,45"/>
<area shape="poly" title=" " alt="" coords="374,23,408,23,408,28,374,28"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b" title=" " alt="" coords="632,5,795,45"/>
<area shape="poly" title=" " alt="" coords="584,23,618,23,618,28,584,28"/>
</map>
</div>

</div>
</div>
<a id="a4237edf96e3710e994768124c8722e76" name="a4237edf96e3710e994768124c8722e76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4237edf96e3710e994768124c8722e76">&#9670;&#160;</a></span>~QCPPaintBufferPixmap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPPaintBufferPixmap::~QCPPaintBufferPixmap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00673">673</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a357964ef7d28cfa530338be4e5c93234" name="a357964ef7d28cfa530338be4e5c93234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a357964ef7d28cfa530338be4e5c93234">&#9670;&#160;</a></span>startPainting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> * QCPPaintBufferPixmap::startPainting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Returns a <a class="el" href="class_q_c_p_painter.html">QCPPainter</a> which is ready to draw to this buffer. The ownership and thus the responsibility to delete the painter after the painting operations are complete is given to the caller of this method.</p>
<p>Once you are done using the painter, delete the painter and call <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a41b0dc6e7744f19fae09f8532c207dc1">donePainting</a>.</p>
<p>While a painter generated with this method is active, you must not call <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a>, <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a> or <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a14badbd010a3cde6b55817ccb7b65217">clear</a>.</p>
<p>This method may return 0, if a painter couldn't be activated on the buffer. This usually indicates a problem with the respective painting backend. </p>

<p>Implementuje <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e9f29b19c033cf02fb96f1a148463f3">QCPAbstractPaintBuffer</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00678">678</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="af7bfc685e56a0a9329e57cd9a265eb74" name="af7bfc685e56a0a9329e57cd9a265eb74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7bfc685e56a0a9329e57cd9a265eb74">&#9670;&#160;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPPaintBufferPixmap::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Draws the contents of this buffer with the provided <em>painter</em>. This is the method that is used to finally join all paint buffers and draw them onto the screen. </p>

<p>Implementuje <a class="el" href="class_q_c_p_abstract_paint_buffer.html#afb998c7525e3ae37d9d2d46c7aaf461a">QCPAbstractPaintBuffer</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00688">688</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a14badbd010a3cde6b55817ccb7b65217" name="a14badbd010a3cde6b55817ccb7b65217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14badbd010a3cde6b55817ccb7b65217">&#9670;&#160;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPPaintBufferPixmap::clear </td>
          <td>(</td>
          <td class="paramtype">const QColor &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Fills the entire buffer with the provided <em>color</em>. To have an empty transparent buffer, use the named color <code>Qt::transparent</code>.</p>
<p>This method must not be called if there is currently a painter (acquired with <a class="el" href="class_q_c_p_paint_buffer_pixmap.html#a357964ef7d28cfa530338be4e5c93234">startPainting</a>) active. </p>

<p>Implementuje <a class="el" href="class_q_c_p_abstract_paint_buffer.html#a9e253f4541dfc01992b77e8830bd7722">QCPAbstractPaintBuffer</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00697">697</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="ad49f3205ba3463b1c44f8db3cfcc90f0" name="ad49f3205ba3463b1c44f8db3cfcc90f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad49f3205ba3463b1c44f8db3cfcc90f0">&#9670;&#160;</a></span>reallocateBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPPaintBufferPixmap::reallocateBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reallocates the internal buffer with the currently configured size (<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a8b68c3cd36533f1a4a23b5ce8cd66f01">setSize</a>) and device pixel ratio, if applicable (<a class="el" href="class_q_c_p_abstract_paint_buffer.html#a555eaad5d5c806420ff35602a1bb68fa">setDevicePixelRatio</a>). It is called as soon as any of those properties are changed on this paint buffer.</p>
<dl class="section note"><dt>Nota</dt><dd>Subclasses of <a class="el" href="class_q_c_p_abstract_paint_buffer.html">QCPAbstractPaintBuffer</a> must call their reimplementation of this method in their constructor, to perform the first allocation (this can not be done by the base class because calling pure virtual methods in base class constructors is not possible). </dd></dl>

<p>Implementuje <a class="el" href="class_q_c_p_abstract_paint_buffer.html#aee7506a52bd7e5a07c2af27935eb13e7">QCPAbstractPaintBuffer</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l00703">703</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_cgraph.png" border="0" usemap="#aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_cgraph" alt=""/></div>
<map name="aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_cgraph" id="aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,163,45"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#ae4c7dc70dfc66be2879ce297b2b3d67f" title=" " alt="" coords="211,5,373,45"/>
<area shape="poly" title=" " alt="" coords="163,23,197,23,197,28,163,28"/>
<area shape="rect" href="class_q_c_p_abstract_paint_buffer.html#a76bf771cda945a6c602cf9b7d365d92b" title=" " alt="" coords="421,5,584,45"/>
<area shape="poly" title=" " alt="" coords="374,23,408,23,408,28,374,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_icgraph.png" border="0" usemap="#aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_icgraph" alt=""/></div>
<map name="aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_icgraph" id="aclass_q_c_p_paint_buffer_pixmap_ad49f3205ba3463b1c44f8db3cfcc90f0_icgraph">
<area shape="rect" title=" " alt="" coords="216,5,373,45"/>
<area shape="rect" href="class_q_c_p_paint_buffer_pixmap.html#aef0224e03b9285509391fcd61a8e6844" title=" " alt="" coords="5,5,168,45"/>
<area shape="poly" title=" " alt="" coords="202,28,168,28,168,23,202,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a6d7009f45f03e305f2dc00e52a9225f8" name="a6d7009f45f03e305f2dc00e52a9225f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d7009f45f03e305f2dc00e52a9225f8">&#9670;&#160;</a></span>mBuffer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPixmap QCPPaintBufferPixmap::mBuffer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00622">622</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_paint_buffer_pixmap.html">QCPPaintBufferPixmap</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
